Problem importing Module!

+2 George Ziozas · December 20, 2014
Im on the Python Programming Tutorial - 25 - How to Build a Web Crawler (1/3) and im trying to  import beatifulsoop4 but this appears: 
i run python 3.2
do i need to upgrade it ? or its something else. 
thanks in advance

/images/forum/upload/2014-12-20/685b2906eda58372be727faff34cf5fc.png

Post a Reply

Replies

Oldest  Newest  Rating
0 Ola Berglund · December 26, 2014
You and I are on the exact same video. It seems like you've mixed modules and things up. "Install user beautifulsoup4.."?
"no module named pip"?. What exactly did you do?
0 Jordan Taylor · December 29, 2014
My issue was Pycharm would not install the BeautifulSoup package for Python 3. This was my solution,

- I uploaded beautifulsoup4 to my desktop
- Went to terminal (I am on a Mac) and went to beautifulsoup directory (to do this type 'cd' and path to directory which can be found on 'get info' in any file in destination folder) 
- typed '2to3 -w bs4' on terminal - this converts soup from python2 to python3
-typed 'python3 easy_install beautifulsoup4' in terminal - this assumes you have package 'distribute' loaded up, otherwise use pip - I do not know script for this
-in pycharm IDE 'from bs4 import BeautifulSoup'

I'm new at programming and I'm sure there is an easier solution but this worked for me. I don't know why in my case it did not work straight out of the package in Pycharm (I have all newest version) however if anyone knows I'd be pleased to hear.
  • 1

Python

106,992 followers
About

This section is all about snakes! Just kidding.

Links
Moderators
Bucky Roberts Administrator